> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ErpConnector

> Archive of ERP Connectors, used by the ERP Integrator Server

## "ErpConnector"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.ErpConnectorProvider">SuperOffice.CRM.ArchiveLists.ErpConnectorProvider</see> inside NetServer's SODatabase assembly.

Archive of ERP Connectors, used by the ERP Integrator Server

## Supported Entities

| Name           | Description     |
| -------------- | --------------- |
| "erpConnector" | Sync Connectors |
| "deleted"      | Deleted         |

## Supported Columns

| Name           | Restriction | Description                                                                             | OrderBy |
| -------------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows     | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows      | bool        | GetNone: Do not get any rows from the archive                                           |         |
| id             | stringorPK  | Connection ID: Database key for an ERP connection                                       | x       |
| url            | string      | URL of Sync Connector: The URL to the location where the Sync Connector is installed    | x       |
| name           | string      | Name: Name of the ERP connection in the CRM system                                      | x       |
| updatedBy      | associate   | Updated by: The user who last updated the data                                          | x       |
| updatedDate    | date        | Updated: The date/time the data was last updated in UTC.                                | x       |
| registeredBy   | associate   | Registered by: The user who registered the data                                         | x       |
| registeredDate | date        | Registered date: The date/time the data was registered in UTC.                          | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/ErpConnector?$select=url,name
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [erpconnectors](/en/api/mdo-providers/reference/erpconnectors.md)
- [ErpConnector table](/en/database/tables/erpconnector.md)
- [Get All Connectors](/en/api/reference/restful/agent/erpsync_agent/get-all-connectors.md)
- [ERP Sync Service WCF host](/en/api/plugins/erp-connectors/architecture/wcf-host.md)
- [SuperOffice.WebApi.Agents.ErpSyncAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ErpSyncAgent.md)
- [SuperOffice.WebApi.Agents.IErpSyncAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IErpSyncAgent.md)
